Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

System Vulnerability Scanner

This plugin will scan your Wordpress site in order to check if there are settings and configurations with your web server, PHP or with wordpress that

The thread of hackers is becoming a bigger concern every day. As tools get smarter and faster, it has become much easier for websites to get hacked. Often the hack can be performed by an automated tool if it discovers that your site has some pretty simple vulnerabilities. Quite often people don't know of these security back doors or may have overlooked something that seems insignificant, but can actually be a back door into your system.

This plugin will perform a scan of your Wordpress site along with the settings and configurations available to the underlying code to check for any vulnerabilities in your webserver. If an issue is detected the plugin will advise you the best course of action to take in order to resolve the issue.

Author Dan Hastings
Contributors dano1066
Tags scan, security, vulnerability
  1. system-vulnerability-scanner screenshot 1

    Scan result showing all recorded issues that were found from the scan.

  1. Upload the plugin files to the /wp-content/plugins/ directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the 'Plugins' screen in WordPress
  3. Use the Settings->Vulnerability Scan to run the scan and check your system


First release of plugin. Supports PHP functions, directives and some general Wordpress security issues.


Fixed missing css issue

Version 0.1

Requires WordPress version: 4.6 or higher

Compatible up to: 4.6.3

Last Updated 30 Nov 2016

Date Added: 30 Nov 2016

Plugin Homepage


5 stars
1 ratings


Not Enough Data

Works: 0
Broken: 0